> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Wallet API (测试版)

> 用于查询Solana钱包数据的REST API端点，包括余额、交易历史记录、转账、身份和资金信息。

<Note>
  **测试版**: Wallet API目前处于测试阶段。API和响应格式可能会更改。
</Note>

所有钱包API请求每次调用费用为**100积分**。有关详细信息，请参见[积分费用](/zh/billing/credits#wallet-api-credits)。

`identity`、`batch-identity` 和 `funded-by` 端点需要付费计划——免费计划请求返回 `403 Forbidden`。所有其他端点在每个计划中都可用。

<CardGroup cols={2}>
  <Card title="identity" href="/zh/api-reference/wallet-api/identity">
    通过地址或SNS/ANS域获取钱包身份
  </Card>

  <Card title="balances" href="/zh/api-reference/wallet-api/balances">
    检索所有代币和NFT余额以及美元价值
  </Card>

  <Card title="balance-at" href="/zh/api-reference/wallet-api/balance-at">
    获取过去某个时间戳或插槽的代币或SOL余额
  </Card>

  <Card title="history" href="/zh/api-reference/wallet-api/history">
    获取带有余额变化的交易历史
  </Card>

  <Card title="transfers" href="/zh/api-reference/wallet-api/transfers">
    获取所有代币转移活动以及发送者/接收者信息
  </Card>

  <Card title="funded-by" href="/zh/api-reference/wallet-api/funded-by">
    发现钱包的原始资金来源
  </Card>
</CardGroup>

## 认证

所有钱包API请求都需要通过API密钥进行认证：

```bash theme={"system"}
# Query parameter
GET https://api.helius.xyz/v1/wallet/{wallet}/balances?api-key=YOUR_API_KEY

# Header (recommended)
GET https://api.helius.xyz/v1/wallet/{wallet}/balances
X-Api-Key: YOUR_API_KEY
```

## 基本URL

```
https://api.helius.xyz
```

## 快速参考

| Endpoint                             | Credits | 免费计划  | 描述                         |
| ------------------------------------ | ------- | ----- | -------------------------- |
| `GET /v1/wallet/{wallet}/identity`   | 100     | `403` | 通过地址或SNS/ANS域获取钱包身份        |
| `POST /v1/wallet/batch-identity`     | 100     | `403` | 批量身份查询（最多100个地址/域）         |
| `GET /v1/wallet/{wallet}/balances`   | 100     | 可用    | 获取所有代币和NFT余额               |
| `GET /v1/wallet/{wallet}/balance-at` | 100     | 可用    | 获取过去某个时间戳、日期时间或插槽的代币或SOL余额 |
| `GET /v1/wallet/{wallet}/history`    | 100     | 可用    | 获取带有余额变化的交易历史              |
| `GET /v1/wallet/{wallet}/transfers`  | 100     | 可用    | 获取所有代币转移活动                 |
| `GET /v1/wallet/{wallet}/funded-by`  | 100     | `403` | 查找原始资金来源                   |
